package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WtgStopPlant;

import java.util.Date;
import java.util.List;

/**
 * WtgStopPlantService接口
 *
 * @author hlf
 * @date 2021-12-21
 */
public interface IWtgStopPlantService {
    /**
     * 查询WtgStopPlant
     *
     * @param windplantNo WtgStopPlantID
     * @return WtgStopPlant
     */
    public WtgStopPlant selectWtgStopPlant(Long windplantNo, Long wturNo, Date dataTime);

    /**
     * 查询WtgStopPlant列表
     *
     * @param wtgStopPlant WtgStopPlant
     * @return WtgStopPlant集合
     */
    public List<WtgStopPlant> selectWtgStopPlantList(WtgStopPlant wtgStopPlant);

    /**
     * 新增WtgStopPlant
     *
     * @param wtgStopPlant WtgStopPlant
     * @return 结果
     */
    public int insertWtgStopPlant(WtgStopPlant wtgStopPlant);

    /**
     * 修改WtgStopPlant
     *
     * @param wtgStopPlant WtgStopPlant
     * @return 结果
     */
    public int updateWtgStopPlant(WtgStopPlant wtgStopPlant);

    /**
     * 删除WtgStopPlant信息
     *
     * @param windplantNo WtgStopPlantID
     * @return 结果
     */
    public int deleteWtgStopPlantById(Long windplantNo);

    public void insertWtgStopPlantList(List<WtgStopPlant> wtgStopPlantList);

    List<WtgStopPlant> selectWtgStopPlantByWindplantNo(Long windplantNo, Date dataTime);

    List<WtgStopPlant> selectWtgStopPlantByWturNo(Long windplantNo, Long wturNo, Date dataTime);
}
